.SUFFIXES:	.sgml .ps .pdf .rtf .sgml .tex .dvi
.PHONY:		ps rtf pdf html

.sgml.ps:
	$(SGMLTOOLS) -b ps $<

.sgml.rtf:
	$(SGMLTOOLS) -b rtf $<

.ps.pdf:
	$(PS2PDF) $< $@

ps:	$(BASENAME).ps
	cp $< ../../ps/

rtf:	$(BASENAME).rtf
	cp $< ../../rtf/

pdf:	$(BASENAME).pdf
	cp $< ../../pdf/

html:	$(BASENAME).sgml
	if [ -d $(BASENAME) ]; then rm -rf $(BASENAME); fi
	$(SGMLTOOLS) -b html $<
	if [ -d ../../html/$(BASENAME) ]; then rm -rf ../../html/$(BASENAME); fi
	mkdir -p ../../html/$(BASENAME)
	cp -R $(BASENAME)/* ../../html/$(BASENAME)

all:	$(FORMATS)

clean:
	rm -f *.ps *.rtf *.pdf
	rm -rf $(BASENAME)

$(BASENAME).pdf:	$(BASENAME).ps
