#!/usr/bin/perl -w

use strict;

# We were kind of cheating giving you this task - it's a particularly
# difficult one.  The example answer below will make no sense to you,
# unless you look up each part of it carefully in the camel book.
# The easier way to handle this is to use the Text::ParseWords module
# which is available from CPAN

while (<>) {
	parse_csv($_);
}

sub parse_csv {
	my $text = shift;	# record containing comma-separated values
	my @new = ();
	push(@new, $+) while $text =~ m{
		# the first part groups the phrase inside the quotes -
		# see explanation of this pattern in _Mastering
		# Regular Expressions_ by Jeffrey Friedl, published by 
		# O'Reilly
		"([^\"\\]*(?:\\.[^\"\\]*)*)",?
		| ([^,]+),?
		| ,
	}gx;
	push(@new, undef) if substr($text, -1, 1) eq ',';
	return @new; 		# list of values that were separated
}
