<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
<!ENTITY Readme     "Readme">
<!ENTITY Advanced   "Advanced">
<!ENTITY % local.admon.class "|Advanced|Readme">
<!ENTITY unexpectedelementname "Unexpected element name">
<!ENTITY docbook.dsl PUBLIC "-//Norman Walsh//DOCUMENT DocBook Print Stylesheet//EN" CDATA DSSSL>
]>

<style-sheet>
<style-specification use="docbook">
<style-specification-body>

;; $Id: spork_print.dsl,v 1.1.1.1 2000/11/04 15:18:48 skud Exp $
;;
;; Author: Robert Loomans
;; Date:   15th May, 2000
;; For:    Netizen Pty. Ltd.

;; This file contains a Netizen-specific DSSSL Print style sheet,
;; adding the extra admonitions 'Advanced' and 'Readme',
;; disabling admonition graphics, and other tweaks.


;; gentext-element-name returns the generated text that should be 
;; used to make reference to the selected element.
;;
(define en-readme-name  "&Readme;")
(define en-advanced-name    "&Advanced;")

(define (gentext-en-element-name gind)
  (let* ((giname (if (string? gind) gind (gi gind)))
	 (name   (normalize giname)))
    (cond
     ((equal? name (normalize "abstract"))	en-abstract-name)
     ((equal? name (normalize "answer"))	en-answer-name)
     ((equal? name (normalize "appendix"))	en-appendix-name)
     ((equal? name (normalize "article"))	en-article-name)
     ((equal? name (normalize "bibliography"))	en-bibliography-name)
     ((equal? name (normalize "book"))		en-book-name)
     ((equal? name (normalize "calloutlist"))	en-calloutlist-name)
     ((equal? name (normalize "caution"))	en-caution-name)
     ((equal? name (normalize "chapter"))	en-chapter-name)
     ((equal? name (normalize "copyright"))	en-copyright-name)
     ((equal? name (normalize "dedication"))	en-dedication-name)
     ((equal? name (normalize "edition"))	en-edition-name)
     ((equal? name (normalize "equation"))	en-equation-name)
     ((equal? name (normalize "example"))	en-example-name)
     ((equal? name (normalize "figure"))	en-figure-name)
     ((equal? name (normalize "glossary"))	en-glossary-name)
     ((equal? name (normalize "glosssee"))	en-glosssee-name)
     ((equal? name (normalize "glossseealso"))	en-glossseealso-name)
     ((equal? name (normalize "important"))	en-important-name)
     ((equal? name (normalize "index"))		en-index-name)
     ((equal? name (normalize "colophon"))	en-colophon-name)
     ((equal? name (normalize "setindex"))	en-setindex-name)
     ((equal? name (normalize "isbn"))		en-isbn-name)
     ((equal? name (normalize "legalnotice"))	en-legalnotice-name)
     ((equal? name (normalize "msgaud"))	en-msgaud-name)
     ((equal? name (normalize "msglevel"))	en-msglevel-name)
     ((equal? name (normalize "msgorig"))	en-msgorig-name)
     ((equal? name (normalize "note"))		en-note-name)
     ((equal? name (normalize "readme"))		en-readme-name)
     ((equal? name (normalize "advanced"))		en-advanced-name)
     ((equal? name (normalize "part"))		en-part-name)
     ((equal? name (normalize "preface"))	en-preface-name)
     ((equal? name (normalize "procedure"))	en-procedure-name)
     ((equal? name (normalize "pubdate"))	en-pubdate-name)
     ((equal? name (normalize "question"))	en-question-name)
     ((equal? name (normalize "refentry"))	en-refentry-name)
     ((equal? name (normalize "reference"))	en-reference-name)
     ((equal? name (normalize "refname"))	en-refname-name)
     ((equal? name (normalize "revhistory"))	en-revhistory-name)
     ((equal? name (normalize "refsect1"))	en-refsect1-name)
     ((equal? name (normalize "refsect2"))	en-refsect2-name)
     ((equal? name (normalize "refsect3"))	en-refsect3-name)
     ((equal? name (normalize "refsynopsisdiv"))	en-refsynopsisdiv-name)
     ((equal? name (normalize "revision"))	en-revision-name)
     ((equal? name (normalize "sect1"))		en-sect1-name)
     ((equal? name (normalize "sect2"))		en-sect2-name)
     ((equal? name (normalize "sect3"))		en-sect3-name)
     ((equal? name (normalize "sect4"))		en-sect4-name)
     ((equal? name (normalize "sect5"))		en-sect5-name)
     ((equal? name (normalize "section"))	en-section-name)
     ((equal? name (normalize "simplesect"))    en-simplesect-name)
     ((equal? name (normalize "seeie"))		en-seeie-name)
     ((equal? name (normalize "seealsoie"))	en-seealsoie-name)
     ((equal? name (normalize "set"))		en-set-name)
     ((equal? name (normalize "sidebar"))	en-sidebar-name)
     ((equal? name (normalize "step"))		en-step-name)
     ((equal? name (normalize "table"))		en-table-name)
     ((equal? name (normalize "tip"))		en-tip-name)
     ((equal? name (normalize "toc"))		en-toc-name)
     ((equal? name (normalize "warning"))	en-warning-name)
     (else (let* ((msg (string-append "gentext-en-element-name: &unexpectedelementname;: " name))
		  (err (node-list-error msg (current-node))))
	     msg)))))

;; gentext-label-title-sep returns the seperator to be inserted
;; between a label and the text following the label for the
;; specified element.  Most of these are for use between
;; enumerated labels and titles like "1. Chapter One Title", but
;; this function is used elsewhere (e.g. NOTE) with a little
;; abuse.
;;

(define en-readme-label-title-sep ": ")
(define en-advanced-label-title-sep ": ")

(define (gentext-en-label-title-sep gind)
  (let* ((giname (if (string? gind) gind (gi gind)))
	 (name   (normalize giname)))
    (cond
     ((equal? name (normalize "abstract")) en-abstract-label-title-sep)
     ((equal? name (normalize "answer")) en-answer-label-title-sep)
     ((equal? name (normalize "appendix")) en-appendix-label-title-sep)
     ((equal? name (normalize "caution")) en-caution-label-title-sep)
     ((equal? name (normalize "chapter")) en-chapter-label-title-sep)
     ((equal? name (normalize "equation")) en-equation-label-title-sep)
     ((equal? name (normalize "example")) en-example-label-title-sep)
     ((equal? name (normalize "figure")) en-figure-label-title-sep)
     ((equal? name (normalize "footnote")) en-footnote-label-title-sep)
     ((equal? name (normalize "glosssee")) en-glosssee-label-title-sep)
     ((equal? name (normalize "glossseealso")) en-glossseealso-label-title-sep)
     ((equal? name (normalize "important")) en-important-label-title-sep)
     ((equal? name (normalize "note")) en-note-label-title-sep)
     ((equal? name (normalize "readme")) en-readme-label-title-sep)
     ((equal? name (normalize "advanced")) en-advanced-label-title-sep)
     ((equal? name (normalize "orderedlist")) en-orderedlist-label-title-sep)
     ((equal? name (normalize "part")) en-part-label-title-sep)
     ((equal? name (normalize "procedure")) en-procedure-label-title-sep)
     ((equal? name (normalize "prefix")) en-prefix-label-title-sep)
     ((equal? name (normalize "question")) en-question-label-title-sep)
     ((equal? name (normalize "refentry")) en-refentry-label-title-sep)
     ((equal? name (normalize "reference")) en-reference-label-title-sep)
     ((equal? name (normalize "refsect1")) en-refsect1-label-title-sep)
     ((equal? name (normalize "refsect2")) en-refsect2-label-title-sep)
     ((equal? name (normalize "refsect3")) en-refsect3-label-title-sep)
     ((equal? name (normalize "sect1")) en-sect1-label-title-sep)
     ((equal? name (normalize "sect2")) en-sect2-label-title-sep)
     ((equal? name (normalize "sect3")) en-sect3-label-title-sep)
     ((equal? name (normalize "sect4")) en-sect4-label-title-sep)
     ((equal? name (normalize "sect5")) en-sect5-label-title-sep)
     ((equal? name (normalize "section")) en-section-label-title-sep)
     ((equal? name (normalize "simplesect")) en-simplesect-label-title-sep)
     ((equal? name (normalize "seeie")) en-seeie-label-title-sep)
     ((equal? name (normalize "seealsoie")) en-seealsoie-label-title-sep)
     ((equal? name (normalize "step")) en-step-label-title-sep)
     ((equal? name (normalize "table")) en-table-label-title-sep)
     ((equal? name (normalize "tip")) en-tip-label-title-sep)
     ((equal? name (normalize "warning")) en-warning-label-title-sep)
     (else en-default-label-title-sep))))

(define ($admon-graphic$ #!optional (nd (current-node)))
  (cond ((equal? (gi nd) (normalize "tip"))
     (string-append %admon-graphics-path% "tip.eps"))
    ((equal? (gi nd) (normalize "note"))
     (string-append %admon-graphics-path% "note.eps"))
    ((equal? (gi nd) (normalize "readme"))
     (string-append %admon-graphics-path% "note.eps"))
    ((equal? (gi nd) (normalize "advanced"))
     (string-append %admon-graphics-path% "important.eps"))
    ((equal? (gi nd) (normalize "important"))
     (string-append %admon-graphics-path% "important.eps"))
    ((equal? (gi nd) (normalize "caution"))
     (string-append %admon-graphics-path% "caution.eps"))
    ((equal? (gi nd) (normalize "warning"))
     (string-append %admon-graphics-path% "warning.eps"))
    (else (error (string-append (gi nd) " is not an admonition.")))))
     

(element readme ($admonition$))
(element (readme title) (empty-sosofo))
(element (readme para) ($admonpara$))
(element (readme simpara) ($admonpara$))
(element advanced ($admonition$))
(element (advanced title) (empty-sosofo))
(element (advanced para) ($admonpara$))
(element (advanced simpara) ($admonpara$))

;; No admonition graphics
(define %admon-graphics% #f)

;; make the TOC have only two levels instead of 7
(define (toc-depth nd)
  (if (string=? (gi nd) (normalize "book"))
      2
      1))

;; reduce the verbatim font size from 0.9 to 0.8
(define %verbatim-size-factor% 0.8)

;; set the paper size to A4
(define %paper-type% "A4")

;; turn off double sided pages
(define %two-side% #f)

;; no article TOC
(define %generate-article-toc% #f)

</style-specification-body>
</style-specification>

<external-specification id="docbook" document="docbook.dsl">

</style-sheet>
